Bug 474811 - update smb.conf template file
update smb.conf template file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 08:48 EST by Simo Sorce
Modified: 2009-12-16 07:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-16 07:39:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simo Sorce 2008-12-05 08:48:35 EST
The template file included in system-config-samba is not the same used in the samba packages. There are a few things we added in the samba packages like an explanation on how to deal with selinux.
In the system-config-samba template there is also a commented option that points the smb passwd file to /etc/samba/smbpasswd 
We moved the smbpasswd file to /var/lib/samba/private/smbpasswd many moons ago.

Now, would it make sense to keep only one .template file in samba-common package and have both samba and system-config-samba use it ?

If you agree I'd like to work on this during the F-11 timeframe.
Comment 1 Nils Philippsen 2008-12-11 11:13:55 EST
I'll update the template to the smb.conf file that is in samba-common-3.2.5-0.23.fc10, but having a template (or unchanged default) file in samba-common sounds like a good idea to have.

Now that you mention it, I need to verify if s-c-samba handles smb passwd files in different locations as well, this may just be some legacy code which has it hard-coded ;-).
Comment 2 Nils Philippsen 2008-12-11 11:24:08 EST
I've updated smb.conf.template in the upstream repository.
Comment 3 Simo Sorce 2008-12-11 11:45:40 EST
I found out the template thing checking if by chance smbpasswd was referenced directly.
It seem not, and it seem you correctly use samba tools instead, when you need to manipulate users/passwords
Comment 4 Bug Zapper 2009-06-09 06:08:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Nils Philippsen 2009-12-16 07:39:50 EST
Seems to me this is fixed now.

Note You need to log in before you can comment on or make changes to this bug.